Index: configoptions.cpp
===================================================================
--- configoptions.cpp	(revision 831)
+++ configoptions.cpp	(working copy)
@@ -2151,6 +2160,13 @@
                  "be listed.",
                  TRUE
                 );
+  cb = cfg->addBool(
+                 "EXTERNAL_PAGES",
+                 "If the EXTERNAL_PAGES tag is set to YES (the default) all external pages will be listed\n"
+                 "in the related pages index. If set to NO, only the current project's pages will\n"
+                 "be listed.",
+                 TRUE
+                );
   //----
   cs = cfg->addString(
                  "PERL_PATH",
Index: pagedef.cpp
===================================================================
--- pagedef.cpp	(revision 831)
+++ pagedef.cpp	(working copy)
@@ -248,11 +249,11 @@
 
 bool PageDef::visibleInIndex() const
 {
-  static bool allExternals = Config_getBool("ALLEXTERNALS");
+  static bool includeExternalPage = Config_getBool("EXTERNAL_PAGES");
   return // not part of a group
          !getGroupDef() && 
          // not an externally defined page
-         (!isReference() || allExternals) 
+         (!isReference() || includeExternalPage)
          // &&
          // not a subpage
          //(getOuterScope()==0 || 
